using System;
using System.Collections.Generic;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("Ref_ActChannel")]
    public class ActivityChannel
    {  

        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ActChannelID { get; set; }

        [Required]
        [StringLength(250)]
        public string ActChannelName { get; set; }

        [Required]
        public bool IsShowVerificationTab { get; set; }

        [Required]
        public bool IsShowPenerimaanDocTab { get; set; }

        [StringLength(500)]
        public string DefaultRoles { get; set; } 

        [Required]
        [StringLength(255)]
        public string CreatedBy { get; set; }

        [Required]
        public DateTime CreatedDatetime { get; set; }

        [Required]
        [StringLength(255)]
        public string LastUpdatedBy { get; set; }

        [Required]
        public DateTime LastUpdatedDatetime { get; set; }
        public virtual ICollection<Sumber> Sumber { get; set; }
    }
}
